Como instalar Angular 2.4 y últimas versiones

Hoy vamos a ver como instalar Angular 2.4 y las versiones finales con un repositorio de GitHub que ha publicado la gente de de Angular.

Primero clonamos el repositorio que incluye lo básico que debe llevar una instalación de Angular 2.

git clone https://github.com/angular/quickstart.git instalacion-angular

Una vez que lo clonamos, entramos al proyecto y hacemos un npm install para instalar todas las dependencias del framework:

cd instalacion-angular
npm install

Ahora arrancamos el framework:

npm start

Quizás nos dará algun error y no podremos arrancar el proyecto, para arreglar esto, modificaremos el package.json y lo dejamos así:

{
  "name": "angular-quickstart",
  "version": "1.0.0",
  "description": "QuickStart package.json from the documentation, supplemented with testing support",
  "scripts": {
    "start": "tsc && concurrently \"tsc -w\" \"lite-server\" ",
    "e2e": "tsc && concurrently \"http-server -s\" \"protractor protractor.config.js\" --kill-others --success first",
    "lint": "tslint ./app/**/*.ts -t verbose",
    "lite": "lite-server",
    "pree2e": "webdriver-manager update",
    "test": "tsc && concurrently \"tsc -w\" \"karma start karma.conf.js\"",
    "test-once": "tsc && karma start karma.conf.js --single-run",
    "tsc": "tsc",
    "tsc:w": "tsc -w"
  },
  "keywords": [],
  "author": "",
  "license": "MIT",
  "dependencies": {
    "@angular/common": "~2.4.0",
    "@angular/compiler": "~2.4.0",
    "@angular/core": "~2.4.0",
    "@angular/forms": "~2.4.0",
    "@angular/http": "~2.4.0",
    "@angular/platform-browser": "~2.4.0",
    "@angular/platform-browser-dynamic": "~2.4.0",
    "@angular/router": "~3.4.0",

    "angular-in-memory-web-api": "~0.2.4",
    "systemjs": "0.19.40",
    "core-js": "^2.4.1",
    "rxjs": "5.0.1",
    "zone.js": "^0.7.4"
  },
  "devDependencies": {
    "concurrently": "^2.2.0",
    "lite-server": "^2.2.2",
    "typescript": "^2.0.2",
    "typings":"^1.3.2",
    "protractor": "~4.0.14"
  },
  "repository": {}
}

Después actualizamos las dependencias y arrancamos el proyecto.

npm update
npm start

Ahora el framework arrancará sin ningún tipo de problema, con el lite-server, etc tendremos el proyecto funcionando en http://localhost:3000/

Ya sabemos como instalar Angular 2.4 y las últimas versiones de Angular usando el quickstart de angular.io.

Victor

Autor: Victor

Desarrollador web - Formador online - Blogger

Compartir este post

Poner un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *